Package com.sun.ts.lib.util.sec.security.provider

# Class PolicyParser.GrantEntry

java.lang.Object
com.sun.ts.lib.util.sec.security.provider.PolicyParser.GrantEntry

Enclosing class:
  PolicyParser

public static class PolicyParser.GrantEntry extends Object
Each grant entry in the policy configuration file is represented by a GrantEntry object. For example, the entry

          grant signedBy "Duke" {
              permission java.io.FilePermission "/tmp", "read,write";
          };

is represented internally

     pe = new PermissionEntry("java.io.FilePermission", "/tmp", "read,write");

     ge = new GrantEntry("Duke", null);

     ge.add(pe);

Author:
  Roland Schemers version 1.19, 05/21/98

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `codeBase`
  `Vector<PolicyParser.PermissionEntry>`
  `permissionEntries`
  `LinkedList<PolicyParser.PrincipalEntry>`
  `principals`
  `String`
  `signedBy`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GrantEntry()`
  `GrantEntry(String signedBy, String codeBase)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(PolicyParser.PermissionEntry pe)`
  `Object`
  `clone()`
  `boolean`
  `contains(PolicyParser.PermissionEntry pe)`
  `boolean`
  `contains(PolicyParser.PrincipalEntry pe)`
  `Enumeration<PolicyParser.PermissionEntry>`
  `permissionElements()`
  Enumerate all the permission entries in this GrantEntry.
  `boolean`
  `remove(PolicyParser.PermissionEntry pe)`
  `boolean`
  `remove(PolicyParser.PrincipalEntry pe)`
  `void`
  `write(PrintWriter out)`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### signedBy

    public String signedBy

  - ### codeBase

    public String codeBase

  - ### principals

    public LinkedList<PolicyParser.PrincipalEntry> principals

  - ### permissionEntries

    public Vector<PolicyParser.PermissionEntry> permissionEntries

- ## Constructor Details

  - ### GrantEntry

    public GrantEntry()

  - ### GrantEntry

    public GrantEntry(String signedBy, String codeBase)

- ## Method Details

  - ### add

    public void add(PolicyParser.PermissionEntry pe)

  - ### remove

    public boolean remove(PolicyParser.PrincipalEntry pe)

  - ### remove

    public boolean remove(PolicyParser.PermissionEntry pe)

  - ### contains

    public boolean contains(PolicyParser.PrincipalEntry pe)

  - ### contains

    public boolean contains(PolicyParser.PermissionEntry pe)

  - ### permissionElements

    public Enumeration<PolicyParser.PermissionEntry> permissionElements()
    Enumerate all the permission entries in this GrantEntry.

  - ### write

    public void write(PrintWriter out)

  - ### clone

    public Object clone()
    Overrides:
      `clone` in class `Object`